### Function

# Shell AppSystem search

#### Declaration [src]

    char***
    shell_app_system_search (
      const char* search_string
    )

#### Description [src]

Wrapper around `g_desktop_app_info_search()` that replaces results that don’t validate as UTF-8 with the empty string.

#### Parameters

`search_string`

  Type: `const char*`

  The search string to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `void`

A list of strvs. Free each item with `g_strfreev()` and free the outer list with g_free().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.